Microsoft.DotNet.Analyzers.Compatibility 0.1.2-alpha

The ID prefix of this package has been reserved for one of the owners of this package by NuGet.org. Prefix Reserved
Additional Details

This package has been replaced with the built-in analyzers of .NET 5 and later versions.

This is a prerelease version of Microsoft.DotNet.Analyzers.Compatibility.
There is a newer prerelease version of this package available.
See the version list below for details.
dotnet add package Microsoft.DotNet.Analyzers.Compatibility --version 0.1.2-alpha
NuGet\Install-Package Microsoft.DotNet.Analyzers.Compatibility -Version 0.1.2-alpha
This command is intended to be used within the Package Manager Console in Visual Studio, as it uses the NuGet module's version of Install-Package.
<PackageReference Include="Microsoft.DotNet.Analyzers.Compatibility" Version="0.1.2-alpha">
  <PrivateAssets>all</PrivateAssets>
  <IncludeAssets>runtime; build; native; contentfiles; analyzers</IncludeAssets>
</PackageReference>
For projects that support PackageReference, copy this XML node into the project file to reference the package.
paket add Microsoft.DotNet.Analyzers.Compatibility --version 0.1.2-alpha
#r "nuget: Microsoft.DotNet.Analyzers.Compatibility, 0.1.2-alpha"
#r directive can be used in F# Interactive and Polyglot Notebooks. Copy this into the interactive tool or source code of the script to reference the package.
// Install Microsoft.DotNet.Analyzers.Compatibility as a Cake Addin
#addin nuget:?package=Microsoft.DotNet.Analyzers.Compatibility&version=0.1.2-alpha&prerelease

// Install Microsoft.DotNet.Analyzers.Compatibility as a Cake Tool
#tool nuget:?package=Microsoft.DotNet.Analyzers.Compatibility&version=0.1.2-alpha&prerelease

Shows diagnostics for .NET Core APIs that throw PlatformNotSupportedException on specific operating systems.

There are no supported framework assets in this package.

Learn more about Target Frameworks and .NET Standard.

  • .NETStandard 1.3

    • No dependencies.

NuGet packages (5)

Showing the top 5 NuGet packages that depend on Microsoft.DotNet.Analyzers.Compatibility:

Package Downloads
Identity.Dapper

Identity package that uses Dapper instead EntityFramework for use with .NET Core. This is the base package, alone it won't do nothing. Use the Identity.Dapper.SqlServer to use with SQL Server or Identity.Dapper.PostgreSQL to use with PostgreSQL.

Evelyn.Client

Core functionality for Evelyn clients

Evelyn.Client.Rest

Client-side adapter to access the Evelyn REST API

Lost.Math.Int2D

Package Description

IoPinController

Package Description

GitHub repositories (8)

Showing the top 5 popular GitHub repositories that depend on Microsoft.DotNet.Analyzers.Compatibility:

Repository Stars
aws/aws-sdk-net
The official AWS SDK for .NET. For more information on the AWS SDK for .NET, see our web site:
ArduPilot/MissionPlanner
Mission Planner Ground Control Station for ArduPilot (c# .net)
rianjs/ical.net
ical.NET - an open source iCal library for .NET
dotless/dotless
.NET Port of the ruby Less CSS lib
planetarium/libplanet
Blockchain in C#/.NET for on-chain, decentralized gaming
Version Downloads Last updated
0.2.12-alpha 1,673,211 3/7/2018
0.1.3-alpha 19,720 2/13/2018
0.1.2-alpha 159,381 10/26/2017